{% extends "calib/template.html" %}
{% block title %} Calibration {% endblock %}
{% block heading %} Calibration - step 2 {% endblock %}
{% block content %}		
	<h3> Adjust the height of the platform </h3>
	<p id="debug"></p>
	<p> First, set the height of the middle panel so that the camera captures a square of at least 10x10 cm of the manipulation area. Use a piece of grid paper to estimate the size of the captured area (see Figures 1 and 2). Refresh the webpage to reload the camera image. <b>Make sure that the middle panel is level.</b> Measure the gap between bottom and middle panel. Enter the height to the form below. </p>
	
	<table>
		<tr>
			<td width="30%"><img id="cam_img" src="http://{{my_ip}}:5001/image/Balls/image" align="center" width="100%"></td>
			<td width="30%"><img src="/static/img/grid.svg" align="center" width="100%"></td>
		</tr>
		<tr>
			<td width="30%"><i>Figure 1: Current image from the camera <a href="javascript: location.reload();">(reload)</a></i></td>
			<td width="30%"><i>Figure 2: What you should see</i></td>
		</tr>
	</table>

	<div class="input-group mb-3">
	  <div class="input-group-prepend">
	    <span class="input-group-text">The measured height between bottom and middle panel: </span>
	  </div>
	  <input type="number" class="form-control" id="input-height" onchange="testChange(this.value)" aria-label="Height">
	  <div class="input-group-append">
	    <span class="input-group-text">mm</span>
	  </div>
	</div>
	
	<div class="float-right" visibility="hidden">
		<a class="btn btn-success disabled" href="/calib/2" onclick="sendHeight()" role="button">Continue</a>
	</div>
	<div class="float-left">
		<a class="btn btn-danger" href="/calib/0" role="button">Back</a>
	</div>
{% endblock %}
{% block scripts %} 
{{ super() }}
<script type="text/javascript">
	var socket = io.connect('http://' + document.domain + ':' + location.port);

	function testChange(val) {
		if (val > 120 && val < 200) {
			$(".btn-success").removeClass("disabled")
		} else {
			$(".btn-success").addClass("disabled")
		}
	}

	function sendHeight() {
		socket.emit('height',document.getElementById('input-height').value)
	}
</script>
{% endblock %}